package org.dromara.daping.service;

import org.dromara.daping.domain.bo.GinlongBo;

import java.util.HashMap;
import java.util.List;

public interface IGinlongApiService {

    String test();

    /**
     * 查询电站数据
     * @return
     */
    HashMap<String, Object> getPowerStationOverview();

    /**
     * 查询逆变器数据
     * @return
     */
    HashMap<String, Object> getInverterListOverview(GinlongBo bo);


    /**
     * 查询能源收益分析
     * @param bo
     * @return
     */
    HashMap<String, Object> getStationMonthOverview(GinlongBo bo);

    /**
     * 查询全部设备报警信息
     */
    List<HashMap<String, Object>> getAlarmListOverview();
}
